/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package pp4u_packet;

import java.util.UUID;
import pp4u.*;

/**
 * セッション開始
 * @author tondol
 */
public class PacketPing extends Packet {

    private InfoNode address = null; // Ping送信元のローカルアドレス
    private String nodeID = null; // Ping送信元のノードID
    private String linkID = null; // リンクID
    private int type; // リンク種別
    static public final int SEARCH = 0x01;
    static public final int TRANSFER = 0x02;

    public PacketPing(int type) {
        super(PING);
        address = AppMain.getLocalhost();
        nodeID = AppMain.getNodeID();
        linkID = UUID.randomUUID().toString();
        this.type = type;
    }
    
    public InfoNode getAddress() {
        return address;
    }
    
    public String getNodeID() {
        return nodeID;
    }
    
    public String getLinkID() {
        return linkID;
    }
    
    public int getType() {
        return type;
    }
}
